<?php
/* $Id: ru.lang.php 3827 2010-06-18 14:20:18Z denis $ */

define("NETCAT_MODULE_AUTH_DESCRIPTION", "Интерфейс пользователя в системе ввода-вывода. Возможность регистрации внешней группы пользователей, изменение собственной анкеты, пароля, восстановление пароля. Данный модуль может интегрироваться с другими модулями системы.");
define("NETCAT_MODULE_AUTH_REG_OK", "Регистрация подтверждена.");
define("NETCAT_MODULE_AUTH_REG_ERROR", "Ошибка! Регистрация не подтверждена.");
define("NETCAT_MODULE_AUTH_REG_INVALIDLINK", "Неправильная ссылка.");
define("NETCAT_MODULE_AUTH_ERR_NEEDAUTH", "Необходимо авторизоваться.");
define("NETCAT_MODULE_AUTH_CHANGEPASS_NOTEQUAL", "Пароли не совпадают. Попробуйте еще раз.");
define("NETCAT_MODULE_AUTH_ERR_NOFIELDSET", "Поле не определено.");
define("NETCAT_MODULE_AUTH_ERR_NOUSERFOUND", "Пользователь не найден");
define("NETCAT_MODULE_AUTH_MSG_FILLFIELD", "Заполните одно из полей");
define("NETCAT_MODULE_AUTH_MSG_NEWPASSSENDED", "Подтверждающее письмо было выслано на ваш e-mail. Для продолжения процедуры восстановления пароля откройте ссылку, находящуюся в письме.");
define("NETCAT_MODULE_AUTH_MSG_INVALID_LOGIN_FORMAT","Неверный формат поля &laquo;Логин&raquo;, используйте буквы, цифры, знак подчёркивания, дефис или пробел.");
define("NETCAT_MODULE_AUTH_MSG_INVALID_EMAIL_FORMAT","Неверный формат поля &laquo;E-mail&raquo;, используйте буквы, цифры, знак подчёркивания, дефис и точку.");
define("NETCAT_MODULE_AUTH_NEWPASS_SUCCESS", "Пароль успешно изменен.");
define("NETCAT_MODULE_AUTH_NEWPASS_ERROR", "Ошибка при изменения пароля.");

define("NETCAT_MODULE_AUTH_LOGIN", "Логин");
define("NETCAT_MODULE_AUTH_PASSWORD", "Пароль");
define("NETCAT_MODULE_AUTH_SAVE", "Сохранить логин и пароль");

define("NETCAT_MODULE_AUTH_CP_NEWPASS", "Новый пароль");
define("NETCAT_MODULE_AUTH_CP_CONFIRM", "Повторите ввод пароля");
define("NETCAT_MODULE_AUTH_CP_DOBUTT", "Сменить пароль");

define("NETCAT_MODULE_AUTH_PRF_LOGIN", "Введите логин");
define("NETCAT_MODULE_AUTH_PRF_EMAIL", "Или E-mail");
define("NETCAT_MODULE_AUTH_PRF_DOBUTT", "Сгенерировать новый пароль");

define("NETCAT_MODULE_AUTH_BUT_AUTORIZE", "Авторизоваться");
define("NETCAT_MODULE_AUTH_BUT_BACK", "Вернуться");
define("NETCAT_MODULE_AUTH_MSG_AUTHISOK", "Авторизация прошла успешно.");
define("NETCAT_MODULE_AUTH_MSG_AUTHUPISOK", "Сеанс завершен.");

define('NETCAT_MODULE_AUTH_MSG_SESSION_CLOSED', 'Сеанс завершен. <a href=\'%s\'>Вернуться</a>');
define('NETCAT_MODULE_AUTH_MSG_AUTH_SUCCESS', 'Авторизация прошла успешно. <a href=\'%s\'>Вернуться</a>');

define("NETCAT_MODULE_AUTH_ADMIN_INFO", "Вы можете настроить отображение списка пользователей, а также структуры таблицы \"Пользователи\" в разделе \"<a href=/netcat/admin/field/system.php>Системные таблицы</a>\".<br><br>Управление пользователями производится в разделе \"<a href=/netcat/admin/user/>Пользователи и права</a>\".");

define("NETCAT_MODULE_AUTH_FORM_TEMPLATES", "Шаблоны форм");
define("NETCAT_MODULE_AUTH_FORM_AUTH", "Форма авторизации");
define("NETCAT_MODULE_AUTH_RESTORE_DEF", "Восстановить значения по умолчанию");
define("NETCAT_MODULE_AUTH_FORM_DISABLED", "Не показывать форму при неудачной попытке авторизации");
define("NETCAT_MODULE_AUTH_FORM_CHG_PASS", "Форма изменения пароля");
define("NETCAT_MODULE_AUTH_FORM_REC_PASS", "Форма восстановления пароля");
define("NETCAT_MODULE_AUTH_MAIL_TEMPLATES", "Шаблоны писем");
define("NETCAT_MODULE_AUTH_REG_CONFIRM", "Подтверждение регистрации");
define("NETCAT_MODULE_AUTH_AS_HTML", "HTML текст");
define("NETCAT_MODULE_AUTH_RECOVERY", "Восстановление пароля");

define("NETCAT_MODULE_AUTH_ADD_FRIEND", "Добавить в друзья");
define("NETCAT_MODULE_AUTH_REMOVE_FRIEND", "Удалить из друзей");

// OpenID
define("NETCAT_MODULE_AUTH_OPEN_ID_ERROR", "Неизвестный OpenID");
define("NETCAT_MODULE_AUTH_OPEN_ID_INVALID", "Неправильный OpenID");
define("NETCAT_MODULE_AUTH_OPEN_ID_ALREADY_EXIST_IN_BASE", "Такой OpenID уже зарегистрирован в базе");
define("NETCAT_MODULE_AUTH_OPEN_ID_COULD_NOT_REDIRECT_TO_SERVER", "Could not redirect to server: %s");
define("NETCAT_MODULE_AUTH_OPEN_ID_CHECK_CANCELED", "Проверка отменена");
define("NETCAT_MODULE_AUTH_OPEN_ID_AUTH_FAILED", "OpenID авторизация не удалась: %s");
define("NETCAT_MODULE_AUTH_OPEN_ID_AUTH_COMPLETE_NAME", "Вы успешно авторизовались как <a href='%s'>%s</a> ");
define("NETCAT_MODULE_AUTH_OPEN_ID_AUTH_COMPLETE_LOGIN", "Ваш логин на сайте: %s");


define("NETCAT_MODULE_AUTH_SETUP_REGISTRATION", "Регистрация");
define("NETCAT_MODULE_AUTH_SETUP_PASSWORD_RECOVERY", "Восстановление пароля");
define("NETCAT_MODULE_AUTH_SETUP_MODIFY", "Изменение анкеты");
define("NETCAT_MODULE_AUTH_SETUP_PASSWORD", "Изменение пароля");
?>