<?php
/* $Id: index.php 4022 2010-09-27 12:55:46Z denis $ */
$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -3 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");

// include need classes
include_once ($SYSTEM_FOLDER."nc_system.class.php");
include_once ($SYSTEM_FOLDER."nc_exception.class.php");
include_once ($SYSTEM_FOLDER."nc_core.class.php");
include_once ($SYSTEM_FOLDER."nc_ezsqlcore.class.php");
include_once ($SYSTEM_FOLDER."nc_essence.class.php");

try {
  // initialize superior system object
  $nc_core = nc_Core::get_object();
  // load default extensions
  $nc_core->load_default_extensions();
  $nc_core->load_files();

	ob_start( ( $use_gzip_compression && $nc_core->gzip->check() ) ?  "ob_gzhandler" : null);

  //global variables
  $LinkID = &$nc_core->db->dbh;
  $parsed_url = $nc_core->url->parse_url();
  $client_url = $nc_core->url->source_url();
  extract($nc_core->input->prepare_extract());
  $_cache = array();

}
catch  ( Exception $e) {
  //$nc_core->errorMessage($e);
  die ( $e->getMessage() );
}


?>
