<?php

class nc_Token extends nc_System {
  protected $core;
  
  public function __construct() {
    parent::__construct();
    $this->core = nc_Core::get_object();
  }
  
  public function get ( $user_id = 0 ) {
    global $AUTH_USER_ID;
    $key = $this->core->get_settings('SecretKey');
    if ( !$user_id ) $user_id = $AUTH_USER_ID; 
    if ( !$key ) {
      $key = md5( $this->core->db->get_var("SELECT `Created` FROM `Subdivision` ORDER BY RAND() LIMIT 1").time().rand());
      $this->core->db->query("UPDATE `Settings` SET `SecretKey` = '".$key."' ");
      // на случай, если поля нет
      if ( $this->core->db->is_error && strstr($this->core->db->last_error, 'SecretKey') ) {
        $this->core->db->query("ALTER TABLE `Settings` ADD COLUMN `SecretKey` TEXT ");
        $this->core->db->query("UPDATE `Settings` SET `SecretKey` = '".$key."' ");
      }
      // reset
      $this->core->get_settings(null, 1);
    }
    
    $token = md5( $user_id.$key);
    
    return $token;
  }
  
  public function get_url ( $user_id = 0 ) {
    return "nc_token=".$this->get($user_id);
  }
  
  public function verify() {
    global $AUTH_USER_ID;
    $token = $this->core->input->fetch_get_post('nc_token');
    $key = $this->core->get_settings('SecretKey');

    return ($token == md5( $AUTH_USER_ID.$key));
  }
  
  public function get_input ( $user_id = 0) {
    return "<input type='hidden' name='nc_token' value='".$this->get($user_id)."' />";
  }

  public function is_use ( $action ) {
    if ( $action == 'message' || $action == 'change' ) $action = 'edit';
    if ( $action == 'delete' ) $action = 'drop';
    return $this->core->get_settings('UseToken') & constant('NC_TOKEN_'.strtoupper($action));
  }
}
?>