<?php
/* $Id: function.inc.php 3966 2010-09-06 05:24:13Z denis $ */

$systemMessageID = $TemplateID;
$systemTableName = "Template";
$systemTableID = GetSystemTableID ($systemTableName);

function ConvertForm($phase = '1', $source = '') {
  if ($source) {
  	$source = stripslashes($source);
    $source = str_replace("\\","\\\\",$source);
    $source = str_replace("\$","\\$",$source);
    $source = addcslashes($source,chr(34));
  }
  print "
    <form method=post action='converter.php'>
      <table width='100%' height='100%' cellpadding='10' cellspacing='0' border='0'>
        <tr>
          <td height='".($phase == '2'?"35%":"95%")."'><textarea name='source' style='height: 90%' wrap='off'>".htmlspecialchars(stripslashes($source))."</textarea></td>
        </tr>";

  print "
        <tr>
          <td height='5%'>
            <input type='hidden' name='phase' value='2'>
            <input type=submit value='".constant('CONTROL_TEMPLATE_CLASSIFICATOR_EKRAN')."'>
          </td>
        </tr>";

  if ($phase == '2') {
    print "
        <tr>
          <td height='60%'>
            ".constant('CONTROL_TEMPLATE_CLASSIFICATOR_RES').":<br>
            <textarea  style='height: 90%' wrap='off''>".htmlspecialchars($source)."</textarea>
          </td>
        </tr>";
  }
  print "</table>
		<input type='submit' class='hidden'>
  	   </form>";
}

/**
 * Выводим список всех макетов дизайна
 *
 */
function TemplateList ()
{
    global $db;
    global $UI_CONFIG;
    ?>
    <form method=post action="index.php">
        <table border=0 cellpadding=2 cellspacing=0 width=100%>
            <tr>
                <td width=5% class=tabhdr>#</td>
                <td width=90% class=tabhdr>макет</td>
                <td width=5% class=tabhdr>уд.</td>
            </tr>
    <?
    $Result = $db->get_results("select Template_ID, Description from Template order by Description",ARRAY_N);

    foreach ($Result as $Array)
    {
        print "
            <tr valign=top>
                <td><b>".$Array[0]."</td>
                <td><a href=\"index.php?phase=6&TemplateID=".$Array[0]."\">".$Array[1]."</a></td>
                <td><INPUT TYPE=CHECKBOX NAME=\"Delete".$Array[0]."\" VALUE=".$Array[0]."></td>
            </tr>";
    }
    ?>
            <tr>
                <td class=tabhdr><br></td>
                <td class=tabhdr><a href="index.php?phase=2"><?=CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_ADD?> >></a></td>
                <td class=tabhdr><input type=submit class=small value=' X '></td>
            </tr>
        </table>
        <input type=hidden name=phase value=6>
	<input type='submit' class='hidden'>
    </form>
    <?
}


/**
 * Функция рисует форму добавления макета дизайна
 *
 * @param unknown_type $TemplateID
 * @param unknown_type $phase
 * @param unknown_type $type
 */
function TemplateForm ($TemplateID, $phase, $type)
{
    # type = 1 - это insert
    # type = 2 - это update

    global $db, $ROOT_FOLDER, $HTTP_FILES_PATH, $DOMAIN_NAME;
    global $systemTableID, $systemMessageID, $systemTableName;
    global $ParentTemplateID, $admin_mode;
    global $INCLUDE_FOLDER;
    global $UI_CONFIG, $ADMIN_PATH;
    global $nc_core;

    $TemplateID = intval($TemplateID);

    while (list($key, $val) = each($_POST))
    {
        eval("global \$".$key.";");
    }
    while (list($key, $val) = each($_FILES))
    {
        eval("global \$".$key.";");
    }

    require_once ($INCLUDE_FOLDER."s_files.inc.php");
    $is_there_any_files = getFileCount(0,$systemTableID);

    if ($type == 1)
    {
        $UI_CONFIG = new ui_config_template('add', $TemplateID);
        $Array['Description'] = $Description;
        $Array['Settings'] = $Settings;
        $Array['Header'] = $Header;
        $Array['Footer'] = $Footer;
        $Array['CustomSettings'] = $CustomSettings;
        
    }
    else if ($type == 2)
    {
        $UI_CONFIG = new ui_config_template('edit', $TemplateID);
        $Array = $db->get_row("select Description,Settings,Header,Footer,CustomSettings from Template where Template_ID=".$TemplateID,ARRAY_A);
    }
    ?>
    <font color=gray><?=CONTROL_TEMPLATE_INFO_CONVERT?></font>
    <form id='TemplateForm' <?=$is_there_any_files?"enctype=multipart/form-data":""?> method=post action="index.php">
        <font color=gray><?=CONTROL_TEMPLATE_TEPL_NAME?>:<br>
        <input type=text name=Description size=50 maxlength=64 value="<? print htmlspecialchars($Array["Description"]); ?>">
        <br><br>
        <div class='resize_block'> <a class='textarea_shrink' href='#Settings' > &#x25BC; </a><a class='textarea_grow' href='#Settings'> &#x25B2; </a></div>
        <?=CONTROL_TEMPLATE_TEPL_MENU?>:<br>
        <TEXTAREA ROWS=12 COLS=60 wrap=off id='Settings' NAME=Settings><? print htmlspecialchars($Array["Settings"]); ?></TEXTAREA>
        <br><br>
        <a name='TemplateHeaderLink' href='#TemplateHeader' onclick="window.open('<?=$ADMIN_PATH?>template/index.php?phase=15&formtype=template&window=opener&form=TemplateForm&textarea=TemplateHeader','LIST','top=50, left=100,directories=no,height=600,location=no,menubar=no,resizable=no,scrollbars=yes,status=yes,toolbar=no,width=400')"><?=CONTROL_CLASS_CLASS_SHOW_VAR_FUNC_LIST?></a><br>
        <div class='resize_block'> <a class='textarea_shrink' href='#TemplateHeader' > &#x25BC; </a><a class='textarea_grow' href='#TemplateHeader'> &#x25B2; </a></div>
        <?=CONTROL_TEMPLATE_TEPL_HEADER?>:<br>
        <TEXTAREA id='TemplateHeader' ROWS=20 wrap=off COLS=60 NAME=Header><? print htmlspecialchars($Array["Header"]); ?></TEXTAREA>
        <br><br>
        <a name='TemplateFooterLink' href='#TemplateFooter' onclick="window.open('<?=$ADMIN_PATH?>template/index.php?phase=15&formtype=template&window=opener&form=TemplateForm&textarea=TemplateFooter','LIST','top=50, left=100,directories=no,height=600,location=no,menubar=no,resizable=no,scrollbars=yes,status=yes,toolbar=no,width=400')"><?=CONTROL_CLASS_CLASS_SHOW_VAR_FUNC_LIST?></a><br>
        <div class='resize_block'> <a class='textarea_shrink' href='#TemplateFooter' > &#x25BC; </a><a class='textarea_grow' href='#TemplateFooter'> &#x25B2; </a></div>
        <?=CONTROL_TEMPLATE_TEPL_FOOTER?>:<br>
        <TEXTAREA id='TemplateFooter' ROWS=20 wrap=off COLS=60 NAME=Footer><? print htmlspecialchars($Array["Footer"]); ?></TEXTAREA>
        <br><br>
         <div id='cstOff' style='cursor: pointer;' onclick='this.style.display="none";document.getElementById("cstOn").style.display="";'>
            <font color='gray'> &#x25BA; <?=CONTROL_TEMPLATE_CUSTOM_SETTINGS ?></font>
         </div>
         <div id='cstOn' style='display: none'>
         <font color='gray' style='cursor: pointer;' onclick='document.getElementById("cstOn").style.display="none";document.getElementById("cstOff").style.display="";'> &#x25BC; <?=CONTROL_TEMPLATE_CUSTOM_SETTINGS ?>:</font>
      <div class='resize_block'> <a class='textarea_shrink' href='#CustomSettings' > &#x25BC; </a><a class='textarea_grow' href='#CustomSettings'> &#x25B2; </a></div>
	    <textarea id='CustomSettings' WRAP='OFF' ROWS='8' COLS='60' NAME='CustomSettings'><?=htmlspecialchars($Array['CustomSettings']) ?></textarea>
         </div>

    <?
    if ($type==1)
    {
        $action = "add";
    }
    if ($type==2)
    {
        $action = "change";
        $message = $TemplateID;
    }

    require $ROOT_FOLDER."message_fields.php";

    if ($fldCount)
    {
        if ($type == 2)
        {
            $fieldQuery = join($fld, ",");
            $fldValue = $db->get_row("select ".$fieldQuery." from Template where Template_ID='".$systemMessageID."'",ARRAY_N);
        }
        ?>
        <br>
        <a href=<?="".$ADMIN_PATH."field/index.php?isSys=1&amp;Id=".$systemTableID?>><font color=gray><b><?=CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_EXTFIELDS?></b></font></a>
        <table border=0 cellpadding=6 cellspacing=0 width=100% bgcolor=#F3F3F3>
            <tr>
                <td><font color=gray>
                <?
                require $ROOT_FOLDER."message_edit.php";
                ?>
                </td>
            </tr>
        </table>
        <br>
        <?
    }
    else
    {
        echo "
     <hr size=1 color=cccccc>";
    }

    echo "
 <div align=right>";
    if ($type==1)
    {
       $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                           "caption" => CONTROL_TEMPLATE_TEPL_CREATE,
                                           "action" => "mainView.submitIframeForm()");
//        echo "<input type=submit value='".CONTROL_TEMPLATE_TEPL_CREATE."' class=s>";
    }
    else if ($type==2)
    {
       $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                           "caption" => CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_SAVE,
                                           "action" => "mainView.submitIframeForm()");
       global $system_env;
       if ($system_env['SyntaxCheck']) {
       $UI_CONFIG->actionButtons[] = array ("id" => "debug",
                                            "caption" => NETCAT_DEBUG_BUTTON_CAPTION,
                                            "action" => "document.getElementById('mainViewIframe').contentWindow.FormAsyncDebug()"
                                            );
       }
       $UI_CONFIG->actionButtons[] = array("id" => "preview",
                                          "caption" => NETCAT_PREVIEW_BUTTON_CAPTIONTEMPLATE,
                                          "action" => "document.getElementById('mainViewIframe').contentWindow.SendTemplatePreview('','../../index.php')"
                                          );
//        echo "<input type=reset value='".CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_CANCEL."' class=s> <input type=submit value='".CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_SAVE."' class=s>";
    }
 echo "
 </div>
 <INPUT TYPE=hidden NAME=posting VALUE=1>
 <INPUT TYPE=hidden NAME=type VALUE=".$type.">
 <input type=hidden name=phase value=".$phase.">
 <input type=hidden name=TemplateID value=".$TemplateID.">
 <input type=hidden name=ParentTemplateID value=".$ParentTemplateID.">
 <input type='submit' class='hidden'>
 ".$nc_core->token->get_input()."
 </form>";
 echo "
  <!-- Binding event_handlers to textarea resize link -->
  <script type='text/javascript'>
    (function (){
      var links = document.getElementsByTagName('A');
      var onclicker_grow   = function (event) { ShrinkArea(event, 50);  }
      var onclicker_shrink = function (event) { ShrinkArea(event,-50);  }
      for (var i = 0 ; i < links.length ; i++){
          if (links[i].className.search('textarea_shrink') != -1 ) {
            bindEvent(links[i], 'click', onclicker_grow );
      }
          if (links[i].className.search('textarea_grow') != -1 ) {
            bindEvent(links[i], 'click', onclicker_shrink);
          }
      }
    }) ();
  </script>
  ";
}

###############################################################################

function ActionTemplateCompleted ($type) {
  global $nc_core, $db, $ROOT_FOLDER, $FILES_FOLDER;
  global $systemTableID, $systemTableName, $systemMessageID;
  global $loc, $perm, $admin_mode;
  global $INCLUDE_FOLDER;
  global $FILECHMOD, $DIRCHMOD;

  require_once ($INCLUDE_FOLDER."s_files.inc.php");
  $is_there_any_files = getFileCount(0,$systemTableID);

  while (list($key, $val) = each($_POST)) eval("global \$".$key.";");
  while (list($key, $val) = each($_FILES)) eval("global \$".$key.";");

  $action = ($type==1) ?  "add" : "change";
  
  $message = $TemplateID;

  require $ROOT_FOLDER."message_fields.php";
  require $ROOT_FOLDER."message_put.php";

  if ($type == 1) { # add template
    $insert = "INSERT INTO `Template` (";
    
    for($i=0;$i<$fldCount;$i++) 
      $insert .= $fld[$i].",";
   
      $insert .= "`Description`, `Parent_Template_ID`, `Settings`, `Header`, `Footer`, `CustomSettings`) ";
      $insert .= "VALUES (";

    for($i=0;$i<$fldCount;$i++)
      $insert .= $fldValue[$i].",";
     

    $insert .= "'".$Description."',".$ParentTemplateID.", '".$Settings."', '".$Header."', '".$Footer."', '$CustomSettings')";
    $Result = $db->query($insert);
    $message = $db->insert_id ;
    // execute core action
    $nc_core->event->execute("addTemplate", $message);
  }
  else { # edit template
    
    $update = "UPDATE `Template` SET ";
    
    for($i=0;$i<$fldCount;$i++)
      $update .= $fld[$i]."=".$fldValue[$i].",";
  
    $update .= "Description='".$Description."',";
    $update .= "Settings='".$Settings."',";
    $update .= "Header='".$Header."',";
    $update .= "Footer='".$Footer."',";
    $update .= "CustomSettings='$CustomSettings'";
    $update .= " where Template_ID=".$TemplateID;
    $message = $TemplateID;
    $Result = $db->query($update);
    // execute core action
    $nc_core->event->execute("updateTemplate", $message);
  }

  // Обновление в таблице с файлами
  if ( !empty($filetable_lastid) ) {
    $db->query("UPDATE `Filetable` SET `Message_ID`='".$message."' WHERE ID IN (".join(',', $filetable_lastid).")");
  }
    
  // create dir
  @mkdir($FILES_FOLDER."t/", $DIRCHMOD);

  for ($i=0; $i<count($tmpFile); $i++) {
    eval ("\$tmpNewFile[\$i] = \"".$tmpNewFile[$i]."\";"); 
    @rename($FILES_FOLDER.$tmpFile[$i], $FILES_FOLDER.$File_Path[$i].$tmpNewFile[$i]);
	  @chmod($FILES_FOLDER.$File_Path[$i].$tmpNewFile[$i], $FILECHMOD);
  }
  
  if ($posting == 0) {
    echo $warnText;
    TemplateForm ($TemplateID, $phase, $type);
    return false;
  }

  return $message;
    
}

function AscIfDeleteTemplate ()
{
    global $db, $nc_core;
    global $UI_CONFIG, $ADMIN_PATH;
    $ask = false;

//    reset($_GET);
    echo "<form action=index.php method=post>";
//    while (list($key, $val) = each($_GET))
    foreach ($_GET as $key => $val)
    {
        if (substr($key,0,6)=="Delete" && $val)
        {
            $ask = true;
            $tpl_id = substr($key,6,strlen($key)-6)+0;

            $SelectArray = $db->get_var("select Description from Template where Template_ID=".$tpl_id);

            $arr_templates_id = nc_get_template_children($tpl_id);
            $arr_templates_list = $db->get_results("SELECT `Template_ID`,`Description` FROM `Template` WHERE `Template_ID` IN (".join(",",$arr_templates_id).")",ARRAY_A);

            if (count($arr_templates_list)>1){
              echo "<ul>";
              foreach ($arr_templates_list as $arr_template){
                echo "<li>".$arr_template['Template_ID']." ".$arr_template['Description']."</li>";
                
                if ($res = $db->get_results("SELECT Catalogue_ID,Catalogue_Name FROM Catalogue WHERE Template_ID='".$arr_template['Template_ID']."'",ARRAY_N)) {
                    echo CONTROL_TEMPLATE_ERR_USED_IN_SITE."<ul>";
                    foreach ($res as $row)
                    {
                        echo "<li>".$row[1]." (<a href=".$ADMIN_PATH."#site.edit(".$row[0].") target='_blank'>".CONTROL_TEMPLATE_PREF_EDIT."</a>)";
                    }
                    echo "</ul>";
                }

                if ($res = $db->get_results("SELECT Subdivision_ID,Subdivision_Name FROM Subdivision WHERE Template_ID=".$arr_template['Template_ID'],ARRAY_N)) {
                    echo CONTROL_TEMPLATE_ERR_USED_IN_SUB."<ul>";
                    foreach ($res as $row)
                    {
                        echo "<li>".$row[1]." (<a href=".$ADMIN_PATH."#subdivision.edit(".$row[0].") target='_blank'>".CONTROL_TEMPLATE_PREF_EDIT."</a>)";
                    }
                    echo "</ul>";
                }

              }
              echo "</ul>";
              nc_print_status(CONTROL_TEMPLATE_INFO_DELETE_SOME,'info');

            }else{
              nc_print_status(CONTROL_TEMPLATE_INFO_DELETE." &laquo;".$SelectArray."&raquo;", 'info');
            
              if ($res = $db->get_results("SELECT Catalogue_ID,Catalogue_Name FROM Catalogue WHERE Template_ID='".$tpl_id."'",ARRAY_N))
              {
  //                nc_print_status(CONTROL_TEMPLATE_ERR_USED_IN_SITE, 'info');
                  echo CONTROL_TEMPLATE_ERR_USED_IN_SITE."<ul>";
                  foreach ($res as $row)
                  {
                      echo "<li>".$row[1]." (<a href=".$ADMIN_PATH."#site.edit(".$row[0].") target='_blank'>".CONTROL_TEMPLATE_PREF_EDIT."</a>)";
                  }
                  echo "</ul>";
              }

              if ($res = $db->get_results("SELECT Subdivision_ID,Subdivision_Name FROM Subdivision WHERE Template_ID=".$tpl_id,ARRAY_N))
              {
  //                nc_print_status(CONTROL_TEMPLATE_ERR_USED_IN_SUB, 'info');
                  echo CONTROL_TEMPLATE_ERR_USED_IN_SUB."<ul>";
                  foreach ($res as $row)
                  {
                      echo "<li>".$row[1]." (<a href=".$ADMIN_PATH."#subdivision.edit(".$row[0].") target='_blank'>".CONTROL_TEMPLATE_PREF_EDIT."</a>)";
                  }
                  echo "</ul>";
              }


            }

            
            print "<INPUT TYPE=HIDDEN NAME=".$key." VALUE=".$val.">";
            $cat_counter++;
        }
    }

	$UI_CONFIG = new ui_config_template('delete', $tpl_id);

    if (!$ask)
    {
        return false;
    }

    echo $nc_core->token->get_input();
    ?>
    <input type=hidden name=phase value=7>
    </form>
    <?
    $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                        "caption" => CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_CONFIRMDELETE,
                                        "action" => "mainView.submitIframeForm()");
    return true;
}

/**
 * функция удаляет макет
 *
 */

function DeleteTemplates ()
{
    global $nc_core, $db, $UI_CONFIG;

    while (list($key, $val) = each($_POST))
    {
        if ( substr($key, 0,6) != "Delete" )  continue;
        $val = intval($val);
        if ( !$val ) continue;
        $val = (int)$val;

        $UI_CONFIG = new ui_config_template('delete', $val);
        

        $arr_templates = nc_get_template_children($val);
        
        if (count($arr_templates) > 1) {
          foreach($arr_templates as $int_template_id){
            if ( ! $db->query("DELETE FROM `Template` WHERE `Template_ID` = '".$int_template_id."'") ) {
              $SelectArray = $db->get_var("select Description from Template where Template_ID='".$int_template_id."'");
              nc_print_status(CONTROL_TEMPLATE_ERR_CANTDEL." ".$SelectArray.". ".TOOLS_PATCH_ERROR, 'error');
            }
            else {
              // execute core action
              $nc_core->event->execute("dropTemplate", $int_template_id);
            }
            DeleteSystemTableFiles('Template', $int_template_id);
            $UI_CONFIG->treeChanges['deleteNode'][] = "template-{$int_template_id}";
          }
        }else {

          if ( ! $db->query("delete from Template where Template_ID='".$val."'") ) {
            $SelectArray = $db->get_var("select Description from Template where Template_ID='".$val."'");
            nc_print_status(CONTROL_TEMPLATE_ERR_CANTDEL." ".$SelectArray.". ".TOOLS_PATCH_ERROR, 'error');
          }
          else {
            // execute core action
            $nc_core->event->execute("dropTemplate", $val);
          }
          DeleteSystemTableFiles('Template', $val);
          $UI_CONFIG->treeChanges['deleteNode'][] = "template-{$val}";
        }

    }
}

###############################################################################

function FullTemplateList () {
    global $db;
    global $HTTP_DOMAIN;
    global $UI_CONFIG;

    //TemplateSettingsList (0);
    if ( $result = write_template (0) ) {
      echo $result;
    }
    else {
      nc_print_status(CONTROL_TEMPLATE_NONE, "info");
    }    
    
    $UI_CONFIG->actionButtons[] = array(
      "id" => "submit",
      "caption" => CONTROL_TEMPLATE_TEPL_CREATE,
      "action" => "urlDispatcher.load('template.add(0)')");
}

/**
 * Рукурсивная функция рисует макет
 *
 * @param нулевой индекс $ParentTemplateID
 */
function write_template ($ParentTemplateID, $count = 0) {
  global $db;
  global $HTTP_DOMAIN, $HTTP_ROOT_PATH, $ADMIN_PATH, $ADMIN_TEMPLATE;

  if ($Result = $db->get_results("SELECT Template_ID,Description FROM Template where Parent_Template_ID=".$ParentTemplateID." ORDER BY Template_ID",ARRAY_N))
  {
    foreach ($Result as $Array) {
      $res.= "<table cellpadding='0' cellspacing='0' class='templateMap'>";
      $res.= "<tr>
        <td class='withBorder' style='padding-left:".intval($count * ($count==1 ? 15 : 20) )."px;".(!$ParentTemplateID ? " font-weight: bold;" : "")."'>".($ParentTemplateID ? "<img src='".$ADMIN_PATH."images/arrow_sec.gif' border='0' width='14' height='10' alt='arrow' title='".$Array[0]."'>" : "")."<span>".$Array[0].". </span><a href='index.php?phase=4&amp;TemplateID=".$Array[0]."'>".$Array[1]."</a></td>
        <td class='button withBorder'><a href='index.php?phase=2&amp;ParentTemplateID=".$Array[0]."'><img width='16' height='16' border='0' src='".$ADMIN_TEMPLATE."img/i_template_add.gif' alt='".CONTROL_TEMPLATE_ADDLINK."' title='".CONTROL_TEMPLATE_ADDLINK."'></a></td>";
      $res.= "<td class='button withBorder'>";
      $res.= "<a href='index.php?phase=6&amp;Delete".$Array[0]."=".$Array[0]."'><img width='16' height='16' border='0' src='".$ADMIN_TEMPLATE."img/i_template_delete.gif' alt='".CONTROL_TEMPLATE_REMOVETHIS."' title='".CONTROL_TEMPLATE_REMOVETHIS."'></a>";
      $res.= "</td>";
      $res.= "</tr>";
      $res.= "</table>";
      // children
      $res.= write_template($Array[0], $count + 1);
    }

  }
  
  return $res;
 
}

###############################################################################

class ui_config_template extends ui_config {

  function ui_config_template($active_tab = 'edit', $template_id) {

    global $db;
    global $ParentTemplateID;

    if ($template_id) $template = $db->get_row("SELECT Description FROM Template WHERE Template_ID = '$template_id'", ARRAY_A);

    if ($template_id) {
	    $this->headerText = $template["Description"];
    } else {
    	$this->headerText = SECTION_INDEX_DEV_TEMPLATES;
    }
    $this->headerImage = 'i_folder_big.gif';
	if ($active_tab == 'add') {
	    $this->tabs = array(
    	                 array('id' => 'add',
        	                   'caption' => CONTROL_TEMPLATE_ADD,
            	               'location' => "template.add($template_id)"));
        $this->treeSelectedNode = "template-{$ParentTemplateID}";
	}
	if ($active_tab == 'edit') {
	    $this->tabs = array(
    	                 array('id' => 'edit',
        	                   'caption' => CONTROL_TEMPLATE_EDIT,
            	               'location' => "template.edit($template_id)"));
        $this->treeSelectedNode = "template-{$template_id}";
        $this->locationHash = "#template.$active_tab($template_id)";
	}
	if ($active_tab == 'delete') {
	    $this->tabs = array(
    	                 array('id' => 'delete',
        	                   'caption' => CONTROL_TEMPLATE_DELETE,
            	               'location' => "template.delete($template_id)"));
        $this->treeSelectedNode = "template-{$template_id}";
	}
	if ($active_tab == 'list') {
	    $this->tabs = array(
    	                 array('id' => 'list',
        	                   'caption' => CONTROL_TEMPLATE,
            	               'location' => "template.list"));
        $this->locationHash = "#template.list";
        $this->treeSelectedNode = "template.list";
	}

    $this->activeTab = $active_tab;

    $this->treeMode = 'developer';
/*
    if ($ParentTemplateID) {
    	$this->treeSelectedNode = "template-{$ParentTemplateID}";
    } else {
    	$this->treeSelectedNode = "template-{$template_id}";
    }
*/
  }
}

?>